> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sources



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/sources
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/sources:
    get:
      tags:
        - sources
      summary: List Sources
      parameters:
        - schema:
            type: string
            format: uuid
          required: false
          name: space_uuid
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: space_id
          in: query
        - schema:
            type: string
            minLength: 1
          required: false
          name: content_type
          in: query
        - schema:
            type: string
            enum:
              - pending
              - processing
              - completed
              - failed
          required: false
          name: extraction_status
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 100
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: Sources
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceListResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceErrorBody'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    SourceListResponse:
      type: object
      properties:
        sources:
          type: array
          items:
            $ref: '#/components/schemas/SourceSummary'
        count:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - sources
        - count
        - total
    SourceErrorBody:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    SourceSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        space_id:
          type: string
          format: uuid
        content_type:
          type: string
        extraction_status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        meta:
          type: object
          nullable: true
          additionalProperties:
            nullable: true
        token_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        content_preview:
          type: string
      required:
        - id
        - space_id
        - content_type
        - extraction_status
        - meta
        - token_count
        - created_at
        - updated_at
        - content_preview
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.